Index: doc/html/classemix__inherit__graph.md5
===================================================================
--- doc/html/classemix__inherit__graph.md5 (revision 32)
+++ doc/html/classemix__inherit__graph.md5 (revision 106)
@@ -1,1 +1,1 @@
-2cb1b6f2f4f5690f9051813c5e8e56e9
+b863c2e6507d1d0251e52eb3903997bd
Index: doc/html/inherit__graph__1.md5
===================================================================
--- doc/html/inherit__graph__1.md5 (revision 99)
+++ doc/html/inherit__graph__1.md5 (revision 106)
@@ -1,1 +1,1 @@
-e3fe3d965d93fb91310b56baf0e8a549
+062e3408ef05241020985a5dbbe5f7ff
Index: doc/html/libDC_8h__dep__incl.md5
===================================================================
--- doc/html/libDC_8h__dep__incl.md5 (revision 99)
+++ doc/html/libDC_8h__dep__incl.md5 (revision 106)
@@ -1,1 +1,1 @@
-6dedc92d98c0d1137172b15993f58284
+baf93795373404d417945d3da6182c22
Index: doc/html/emix_8h__incl.md5
===================================================================
--- doc/html/emix_8h__incl.md5 (revision 106)
+++ doc/html/emix_8h__incl.md5 (revision 106)
@@ -0,0 +1,1 @@
+4286f56e9a8b99677015d9ac9c80d6cc
Index: doc/html/formula.repository
===================================================================
--- doc/html/formula.repository (revision 99)
+++ doc/html/formula.repository (revision 106)
@@ -62,2 +62,4 @@
 \form#61:\[ y_t = \theta_1 \psi_1 + \theta_2 + \psi_2 +\ldots + \theta_n \psi_n + r e_t \]
 \form#62:\[ e_t \sim \mathcal{N}(0,1). \]
+\form#63:\[ f(x) = \sum_{i=1}^{n} w_{i} f_i(x), \quad \sum_{i=1}^n w_i = 1. \]
+\form#64:$f_i(x)$
Index: doc/html/sim__var__arx_8cpp__incl.md5
===================================================================
--- doc/html/sim__var__arx_8cpp__incl.md5 (revision 106)
+++ doc/html/sim__var__arx_8cpp__incl.md5 (revision 106)
@@ -0,0 +1,1 @@
+3e532c1b75ca227a407ce7c9ca44688d
Index: doc/html/classepdf__inherit__graph.md5
===================================================================
--- doc/html/classepdf__inherit__graph.md5 (revision 99)
+++ doc/html/classepdf__inherit__graph.md5 (revision 106)
@@ -1,1 +1,1 @@
-cc12eb54193bea69bcf950ec9dba18c4
+b83168e033f9d45ac94609485ac2d080
Index: doc/html/arx_8h__dep__incl.md5
===================================================================
--- doc/html/arx_8h__dep__incl.md5 (revision 106)
+++ doc/html/arx_8h__dep__incl.md5 (revision 106)
@@ -0,0 +1,1 @@
+63cdb467dfbe836ff1c06322e08c29b2
Index: doc/html/libEF_8h__dep__incl.md5
===================================================================
--- doc/html/libEF_8h__dep__incl.md5 (revision 99)
+++ doc/html/libEF_8h__dep__incl.md5 (revision 106)
@@ -1,1 +1,1 @@
-58c790469a04b4f83d0f6215c23f4180
+42af2b3702eaa491b52d381c22c886ad
Index: doc/html/libBM_8h__dep__incl.md5
===================================================================
--- doc/html/libBM_8h__dep__incl.md5 (revision 99)
+++ doc/html/libBM_8h__dep__incl.md5 (revision 106)
@@ -1,1 +1,1 @@
-db22fd6c9b23e5856c27170709de55f3
+7d276388446c8bf564810e77d27db853
Index: doc/html/classemix__coll__graph.md5
===================================================================
--- doc/html/classemix__coll__graph.md5 (revision 32)
+++ doc/html/classemix__coll__graph.md5 (revision 106)
@@ -1,1 +1,1 @@
-9e6f3bc93d6cc8dd8296a99a3c0e2409
+5009c0617321eb42bfb8ea5a64b6e622
Index: doc/latex/emix_8h__incl.md5
===================================================================
--- doc/latex/emix_8h__incl.md5 (revision 106)
+++ doc/latex/emix_8h__incl.md5 (revision 106)
@@ -0,0 +1,1 @@
+cb151fadac7362a502ee5e103e5f8b9c
Index: doc/latex/sim__var__arx_8cpp__incl.eps
===================================================================
--- doc/latex/sim__var__arx_8cpp__incl.eps (revision 106)
+++ doc/latex/sim__var__arx_8cpp__incl.eps (revision 106)
@@ -0,0 +1,686 @@
+%!PS-Adobe-2.0
+%%Creator: Graphviz version 2.16 (Fri Feb  8 12:52:03 UTC 2008)
+%%For: (smidl) Vasek Smidl,,,
+%%Title: G
+%%Pages: (atend)
+%%BoundingBox: (atend)
+%%EndComments
+save
+%%BeginProlog
+/DotDict 200 dict def
+DotDict begin
+
+/setupLatin1 {
+mark
+/EncodingVector 256 array def
+ EncodingVector 0
+
+ISOLatin1Encoding 0 255 getinterval putinterval
+EncodingVector 45 /hyphen put
+
+% Set up ISO Latin 1 character encoding
+/starnetISO {
+        dup dup findfont dup length dict begin
+        { 1 index /FID ne { def }{ pop pop } ifelse
+        } forall
+        /Encoding EncodingVector def
+        currentdict end definefont
+} def
+/Times-Roman starnetISO def
+/Times-Italic starnetISO def
+/Times-Bold starnetISO def
+/Times-BoldItalic starnetISO def
+/Helvetica starnetISO def
+/Helvetica-Oblique starnetISO def
+/Helvetica-Bold starnetISO def
+/Helvetica-BoldOblique starnetISO def
+/Courier starnetISO def
+/Courier-Oblique starnetISO def
+/Courier-Bold starnetISO def
+/Courier-BoldOblique starnetISO def
+cleartomark
+} bind def
+
+%%BeginResource: procset graphviz 0 0
+/coord-font-family /Times-Roman def
+/default-font-family /Times-Roman def
+/coordfont coord-font-family findfont 8 scalefont def
+
+/InvScaleFactor 1.0 def
+/set_scale {
+       dup 1 exch div /InvScaleFactor exch def
+       scale
+} bind def
+
+% styles
+/solid { [] 0 setdash } bind def
+/dashed { [9 InvScaleFactor mul dup ] 0 setdash } bind def
+/dotted { [1 InvScaleFactor mul 6 InvScaleFactor mul] 0 setdash } bind def
+/invis {/fill {newpath} def /stroke {newpath} def /show {pop newpath} def} bind def
+/bold { 2 setlinewidth } bind def
+/filled { } bind def
+/unfilled { } bind def
+/rounded { } bind def
+/diagonals { } bind def
+
+% hooks for setting color 
+/nodecolor { sethsbcolor } bind def
+/edgecolor { sethsbcolor } bind def
+/graphcolor { sethsbcolor } bind def
+/nopcolor {pop pop pop} bind def
+
+/beginpage {	% i j npages
+	/npages exch def
+	/j exch def
+	/i exch def
+	/str 10 string def
+	npages 1 gt {
+		gsave
+			coordfont setfont
+			0 0 moveto
+			(\() show i str cvs show (,) show j str cvs show (\)) show
+		grestore
+	} if
+} bind def
+
+/set_font {
+	findfont exch
+	scalefont setfont
+} def
+
+% draw text fitted to its expected width
+/alignedtext {			% width text
+	/text exch def
+	/width exch def
+	gsave
+		width 0 gt {
+			[] 0 setdash
+			text stringwidth pop width exch sub text length div 0 text ashow
+		} if
+	grestore
+} def
+
+/boxprim {				% xcorner ycorner xsize ysize
+		4 2 roll
+		moveto
+		2 copy
+		exch 0 rlineto
+		0 exch rlineto
+		pop neg 0 rlineto
+		closepath
+} bind def
+
+/ellipse_path {
+	/ry exch def
+	/rx exch def
+	/y exch def
+	/x exch def
+	matrix currentmatrix
+	newpath
+	x y translate
+	rx ry scale
+	0 0 1 0 360 arc
+	setmatrix
+} bind def
+
+/endpage { showpage } bind def
+/showpage { } def
+
+/layercolorseq
+	[	% layer color sequence - darkest to lightest
+		[0 0 0]
+		[.2 .8 .8]
+		[.4 .8 .8]
+		[.6 .8 .8]
+		[.8 .8 .8]
+	]
+def
+
+/layerlen layercolorseq length def
+
+/setlayer {/maxlayer exch def /curlayer exch def
+	layercolorseq curlayer 1 sub layerlen mod get
+	aload pop sethsbcolor
+	/nodecolor {nopcolor} def
+	/edgecolor {nopcolor} def
+	/graphcolor {nopcolor} def
+} bind def
+
+/onlayer { curlayer ne {invis} if } def
+
+/onlayers {
+	/myupper exch def
+	/mylower exch def
+	curlayer mylower lt
+	curlayer myupper gt
+	or
+	{invis} if
+} def
+
+/curlayer 0 def
+
+%%EndResource
+%%EndProlog
+%%BeginSetup
+14 default-font-family set_font
+1 setmiterlimit
+% /arrowlength 10 def
+% /arrowwidth 5 def
+
+% make sure pdfmark is harmless for PS-interpreters other than Distiller
+/pdfmark where {pop} {userdict /pdfmark /cleartomark load put} ifelse
+% make '<<' and '>>' safe on PS Level 1 devices
+/languagelevel where {pop languagelevel}{1} ifelse
+2 lt {
+    userdict (<<) cvn ([) cvn load put
+    userdict (>>) cvn ([) cvn load put
+} if
+
+%%EndSetup
+setupLatin1
+%%Page: 1 1
+%%PageBoundingBox: 36 36 463 288
+%%PageOrientation: Portrait
+0 0 1 beginpage
+gsave
+36 36 427 252 boxprim clip newpath
+1 1 set_scale 0 rotate 40 40 translate
+% Node1
+gsave
+0.000 0.000 0.749 nodecolor
+newpath 0 224 moveto
+0 243 lineto
+171 243 lineto
+171 224 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 0 224 moveto
+0 243 lineto
+171 243 lineto
+171 224 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+7.75 229.25 moveto 154.5 (work/mixpp/pmsm/sim_var_arx.cpp) alignedtext
+grestore
+% Node2
+gsave
+0.000 0.000 1.000 nodecolor
+newpath 139 0 moveto
+139 19 lineto
+208 19 lineto
+208 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.749 nodecolor
+newpath 139 0 moveto
+139 19 lineto
+208 19 lineto
+208 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+146.375 5.25 moveto 53.25 (itpp/itbase.h) alignedtext
+grestore
+% Node1->Node2
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 84 224 moveto
+82 194 78 110 115 56 curveto
+124 43 137 32 149 24 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 150.375 27.268 moveto
+157 19 lineto
+146.665 21.332 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 150.375 27.268 moveto
+157 19 lineto
+146.665 21.332 lineto
+closepath stroke
+grestore
+% Node3
+gsave
+[ /Rect [ 94 169 158 187 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($arx_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 94 168 moveto
+94 187 lineto
+159 187 lineto
+159 168 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 94 168 moveto
+94 187 lineto
+159 187 lineto
+159 168 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+101.625 173.25 moveto 48.75 (estim/arx.h) alignedtext
+grestore
+% Node1->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 92 224 moveto
+98 216 106 205 113 195 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 115.8 197.1 moveto
+119 187 lineto
+110.2 192.9 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 115.8 197.1 moveto
+119 187 lineto
+110.2 192.9 lineto
+closepath stroke
+grestore
+% Node3->Node2
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 118 168 moveto
+109 155 97 132 102 112 curveto
+112 77 138 45 156 26 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 158.404 28.546 moveto
+163 19 lineto
+153.454 23.5962 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 158.404 28.546 moveto
+163 19 lineto
+153.454 23.5962 lineto
+closepath stroke
+grestore
+% Node4
+gsave
+[ /Rect [ 111 113 185 131 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($libFN_8h-source.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 111 112 moveto
+111 131 lineto
+186 131 lineto
+186 112 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 111 112 moveto
+111 131 lineto
+186 131 lineto
+186 112 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+118.375 117.25 moveto 59.25 (../stat/libFN.h) alignedtext
+grestore
+% Node3->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 130 168 moveto
+133 161 137 150 140 140 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 143.137 141.56 moveto
+144 131 lineto
+136.74 138.717 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 143.137 141.56 moveto
+144 131 lineto
+136.74 138.717 lineto
+closepath stroke
+grestore
+% Node6
+gsave
+[ /Rect [ 203 113 277 131 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($libEF_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 203 112 moveto
+203 131 lineto
+278 131 lineto
+278 112 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 203 112 moveto
+203 131 lineto
+278 131 lineto
+278 112 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+210.75 117.25 moveto 58.5 (../stat/libEF.h) alignedtext
+grestore
+% Node3->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 146 168 moveto
+165 159 192 146 213 135 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 214.283 138.26 moveto
+222 131 lineto
+211.44 131.863 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 214.283 138.26 moveto
+222 131 lineto
+211.44 131.863 lineto
+closepath stroke
+grestore
+% Node4->Node2
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 144 112 moveto
+140 99 134 75 140 56 curveto
+144 46 151 35 157 27 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 160.049 28.8306 moveto
+164 19 lineto
+154.781 24.221 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 160.049 28.8306 moveto
+164 19 lineto
+154.781 24.221 lineto
+closepath stroke
+grestore
+% Node5
+gsave
+[ /Rect [ 149 57 197 75 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($libBM_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 149 56 moveto
+149 75 lineto
+198 75 lineto
+198 56 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 149 56 moveto
+149 75 lineto
+198 75 lineto
+198 56 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+156.5 61.25 moveto 33 (libBM.h) alignedtext
+grestore
+% Node4->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 152 112 moveto
+156 105 160 94 165 84 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 168.137 85.5596 moveto
+169 75 lineto
+161.74 82.7166 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 168.137 85.5596 moveto
+169 75 lineto
+161.74 82.7166 lineto
+closepath stroke
+grestore
+% Node5->Node2
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 173 56 moveto
+173 49 173 38 173 29 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 176.5 29 moveto
+173 19 lineto
+169.5 29 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 176.5 29 moveto
+173 19 lineto
+169.5 29 lineto
+closepath stroke
+grestore
+% Node6->Node2
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 235 112 moveto
+229 99 218 75 206 56 curveto
+199 46 192 35 186 27 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 188.8 24.9 moveto
+180 19 lineto
+183.2 29.1 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 188.8 24.9 moveto
+180 19 lineto
+183.2 29.1 lineto
+closepath stroke
+grestore
+% Node6->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 228 112 moveto
+218 104 204 91 192 82 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 193.831 78.9511 moveto
+184 75 lineto
+189.221 84.2191 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 193.831 78.9511 moveto
+184 75 lineto
+189.221 84.2191 lineto
+closepath stroke
+grestore
+% Node7
+gsave
+[ /Rect [ 253 57 333 75 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($libDC_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 253 56 moveto
+253 75 lineto
+334 75 lineto
+334 56 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 253 56 moveto
+253 75 lineto
+334 75 lineto
+334 56 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+260.375 61.25 moveto 65.25 (../math/libDC.h) alignedtext
+grestore
+% Node6->Node7
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 249 112 moveto
+257 104 268 92 277 82 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 279.404 84.546 moveto
+284 75 lineto
+274.454 79.5962 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 279.404 84.546 moveto
+284 75 lineto
+274.454 79.5962 lineto
+closepath stroke
+grestore
+% Node8
+gsave
+[ /Rect [ 351 57 419 75 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($itpp__ext_8h-source.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 351 56 moveto
+351 75 lineto
+419 75 lineto
+419 56 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 351 56 moveto
+351 75 lineto
+419 75 lineto
+419 56 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+359.125 61.25 moveto 51.75 (../itpp_ext.h) alignedtext
+grestore
+% Node6->Node8
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 266 112 moveto
+290 103 326 89 353 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 354.283 82.2598 moveto
+362 75 lineto
+351.44 75.8631 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 354.283 82.2598 moveto
+362 75 lineto
+351.44 75.8631 lineto
+closepath stroke
+grestore
+% Node7->Node2
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 272 56 moveto
+252 47 223 33 201 23 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 202.56 19.8631 moveto
+192 19 lineto
+199.717 26.2598 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 202.56 19.8631 moveto
+192 19 lineto
+199.717 26.2598 lineto
+closepath stroke
+grestore
+% Node8->Node2
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 351 57 moveto
+315 47 257 32 217 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 217.492 17.5292 moveto
+207 19 lineto
+216.119 24.3933 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 217.492 17.5292 moveto
+207 19 lineto
+216.119 24.3933 lineto
+closepath stroke
+grestore
+endpage
+showpage
+grestore
+%%PageTrailer
+%%EndPage: 1
+%%Trailer
+%%Pages: 1
+%%BoundingBox: 36 36 463 288
+end
+restore
+%%EOF
Index: doc/latex/classemix__inherit__graph.eps
===================================================================
--- doc/latex/classemix__inherit__graph.eps (revision 30)
+++ doc/latex/classemix__inherit__graph.eps (revision 106)
@@ -1,4 +1,4 @@
 %!PS-Adobe-2.0
-%%Creator: Graphviz version 2.12 (Tue Sep  4 16:56:48 UTC 2007)
+%%Creator: Graphviz version 2.16 (Fri Feb  8 12:52:03 UTC 2008)
 %%For: (smidl) Vasek Smidl,,,
 %%Title: G
@@ -89,15 +89,13 @@
 } def
 
-% draw aligned label in bounding box aligned to current point
-/alignedtext {			% width adj text
+% draw text fitted to its expected width
+/alignedtext {			% width text
 	/text exch def
-	/adj exch def
 	/width exch def
 	gsave
 		width 0 gt {
-			text stringwidth pop adj mul 0 rmoveto
+			[] 0 setdash
+			text stringwidth pop width exch sub text length div 0 text ashow
 		} if
-		[] 0 setdash
-		text show
 	grestore
 } def
@@ -182,30 +180,17 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 84 124
+%%PageBoundingBox: 36 36 80 120
 %%PageOrientation: Portrait
-gsave
-36 36 84 124 boxprim clip newpath
 0 0 1 beginpage
+gsave
+36 36 44 84 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
-0.000 0.000 1.000 graphcolor
-newpath -4 -4 moveto
--4 84 lineto
-44 84 lineto
-44 -4 lineto
-closepath fill
-1 setlinewidth
-0.000 0.000 1.000 graphcolor
-newpath -4 -4 moveto
--4 84 lineto
-44 84 lineto
-44 -4 lineto
-closepath stroke
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
 newpath 0 0 moveto
-0 21 lineto
-40 21 lineto
-40 0 lineto
+0 19 lineto
+37 19 lineto
+37 0 lineto
 closepath fill
 1 setlinewidth
@@ -213,20 +198,15 @@
 0.000 0.000 0.000 nodecolor
 newpath 0 0 moveto
-0 21 lineto
-40 21 lineto
-40 0 lineto
+0 19 lineto
+37 19 lineto
+37 0 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-20 7 moveto 24 -0.5 (emix) alignedtext
+10.00 /FreeSans set_font
+7.5 5.25 moveto 21 (emix) alignedtext
 grestore
 % Node2
 gsave
-[ /Rect [ 1 59 39 79 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classepdf.html) >>
-  /Subtype /Link
-/ANN pdfmark
-[ /Rect [ 1 59 39 79 ]
+[ /Rect [ 1 57 35 75 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classepdf.html) >>
@@ -234,20 +214,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 1 58 moveto
-1 79 lineto
-39 79 lineto
-39 58 lineto
+newpath 1 56 moveto
+1 75 lineto
+36 75 lineto
+36 56 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 1 58 moveto
-1 79 lineto
-39 79 lineto
-39 58 lineto
+newpath 1 56 moveto
+1 75 lineto
+36 75 lineto
+36 56 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-20 65 moveto 22 -0.5 (epdf) alignedtext
+10.00 /FreeSans set_font
+8.625 61.25 moveto 18.75 (epdf) alignedtext
 grestore
 % Node2->Node1
@@ -256,18 +236,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 20 48 moveto
-20 38 20 28 20 21 curveto
+newpath 18 46 moveto
+18 37 18 26 18 19 curveto
 stroke
 0.667 0.776 0.439 edgecolor
-newpath 16.5001 48 moveto
-20 58 lineto
-23.5001 48 lineto
+newpath 14.5001 46 moveto
+18 56 lineto
+21.5001 46 lineto
 closepath fill
 1 setlinewidth
 solid
 0.667 0.776 0.439 edgecolor
-newpath 16.5001 48 moveto
-20 58 lineto
-23.5001 48 lineto
+newpath 14.5001 46 moveto
+18 56 lineto
+21.5001 46 lineto
 closepath stroke
 grestore
@@ -279,5 +259,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 84 124
+%%BoundingBox: 36 36 80 120
 end
 restore
Index: doc/latex/classepdf__inherit__graph.eps
===================================================================
--- doc/latex/classepdf__inherit__graph.eps (revision 99)
+++ doc/latex/classepdf__inherit__graph.eps (revision 106)
@@ -180,29 +180,29 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 475 246
+%%PageBoundingBox: 36 36 522 246
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 439 210 boxprim clip newpath
+36 36 486 210 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 222 182 moveto
-222 201 lineto
-257 201 lineto
-257 182 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 222 182 moveto
-222 201 lineto
-257 201 lineto
-257 182 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-229.625 187.25 moveto 18.75 (epdf) alignedtext
+newpath 251 182 moveto
+251 201 lineto
+286 201 lineto
+286 182 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 251 182 moveto
+251 201 lineto
+286 201 lineto
+286 182 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+258.625 187.25 moveto 18.75 (epdf) alignedtext
 grestore
 % Node2
@@ -236,18 +236,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 215 176 moveto
-200 166 181 152 168 143 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 213.738 179.365 moveto
-224 182 lineto
-217.621 173.541 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 213.738 179.365 moveto
-224 182 lineto
-217.621 173.541 lineto
+newpath 242 178 moveto
+220 167 191 153 172 143 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 240.559 181.203 moveto
+251 183 lineto
+243.958 175.084 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 240.559 181.203 moveto
+251 183 lineto
+243.958 175.084 lineto
 closepath stroke
 grestore
@@ -282,25 +282,25 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 230 173 moveto
-225 163 219 151 215 143 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 226.74 174.283 moveto
-234 182 lineto
-233.137 171.44 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 226.74 174.283 moveto
-234 182 lineto
-233.137 171.44 lineto
+newpath 251 175 moveto
+241 164 229 152 220 143 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 248.454 177.404 moveto
+258 182 lineto
+253.404 172.454 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 248.454 177.404 moveto
+258 182 lineto
+253.404 172.454 lineto
 closepath stroke
 grestore
 % Node10
 gsave
-[ /Rect [ 250 125 284 143 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classeuni.html) >>
+[ /Rect [ 250 125 286 143 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classemix.html) >>
   /Subtype /Link
 /ANN pdfmark
@@ -308,6 +308,6 @@
 newpath 250 124 moveto
 250 143 lineto
-284 143 lineto
-284 124 lineto
+287 143 lineto
+287 124 lineto
 closepath fill
 1 setlinewidth
@@ -316,10 +316,10 @@
 newpath 250 124 moveto
 250 143 lineto
-284 143 lineto
-284 124 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-258 129.25 moveto 18 (euni) alignedtext
+287 143 lineto
+287 124 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+257.5 129.25 moveto 21 (emix) alignedtext
 grestore
 % Node1->Node10
@@ -328,59 +328,105 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 248 173 moveto
-253 163 259 151 263 143 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 244.863 171.44 moveto
-244 182 lineto
-251.26 174.283 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 244.863 171.44 moveto
-244 182 lineto
-251.26 174.283 lineto
+newpath 268 172 moveto
+268 162 268 151 268 143 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 264.5 172 moveto
+268 182 lineto
+271.5 172 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 264.5 172 moveto
+268 182 lineto
+271.5 172 lineto
 closepath stroke
 grestore
 % Node11
 gsave
-0.000 0.000 1.000 nodecolor
-newpath 302 124 moveto
-302 143 lineto
-425 143 lineto
-425 124 lineto
+[ /Rect [ 304 125 338 143 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classeuni.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 304 124 moveto
+304 143 lineto
+338 143 lineto
+338 124 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 304 124 moveto
+304 143 lineto
+338 143 lineto
+338 124 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+312 129.25 moveto 18 (euni) alignedtext
+grestore
+% Node1->Node11
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 284 174 moveto
+293 164 305 152 312 143 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 280.951 172.169 moveto
+277 182 lineto
+286.219 176.779 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 280.951 172.169 moveto
+277 182 lineto
+286.219 176.779 lineto
+closepath stroke
+grestore
+% Node12
+gsave
+0.000 0.000 1.000 nodecolor
+newpath 356 124 moveto
+356 143 lineto
+479 143 lineto
+479 124 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.749 nodecolor
-newpath 302 124 moveto
-302 143 lineto
-425 143 lineto
-425 124 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-309.75 129.25 moveto 106.5 (MPF< BM_T >::mpfepdf) alignedtext
-grestore
-% Node1->Node11
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 266 180 moveto
-290 168 322 153 343 143 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 264.717 176.74 moveto
-257 184 lineto
-267.56 183.137 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 264.717 176.74 moveto
-257 184 lineto
-267.56 183.137 lineto
+newpath 356 124 moveto
+356 143 lineto
+479 143 lineto
+479 124 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+363.75 129.25 moveto 106.5 (MPF< BM_T >::mpfepdf) alignedtext
+grestore
+% Node1->Node12
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 295 181 moveto
+324 170 367 154 393 143 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 293.717 177.74 moveto
+286 185 lineto
+296.56 184.137 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 293.717 177.74 moveto
+286 185 lineto
+296.56 184.137 lineto
 closepath stroke
 grestore
@@ -601,6 +647,6 @@
 0.667 0.776 0.439 edgecolor
 newpath 182 124 moveto
-274 95 324 121 379 48 curveto
-385 40 387 28 387 19 curveto
+275 95 328 122 381 48 curveto
+386 40 387 28 387 19 curveto
 stroke
 0.667 0.776 0.439 edgecolor
@@ -711,5 +757,5 @@
 0.000 0.000 0.000 edgecolor
 10.00 /FreeSans set_font
-329.5 39.25 moveto 45 (< chmat >) alignedtext
+331.5 39.25 moveto 45 (< chmat >) alignedtext
 grestore
 % Node5->Node8
@@ -744,5 +790,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 475 246
+%%BoundingBox: 36 36 522 246
 end
 restore
